$(function () {

myLayout = $('body').layout({

                //      reference only - these options are NOT required because 'true' is the default
                        closable:                                       true    // pane can open &amp; close
                ,       resizable:                                      true    // when open, pane can be resized 
                ,       slidable:                                       true    // when closed, pane can 'slide' open over other panes - closes on mouse-out
                ,       livePaneResizing:                       true

                //      some pane-size settings
                ,       west__minSize:                          100
                ,       north__size: "auto"

                //      enable state management
                ,       stateManagement__enabled:       true // automatic cookie load &amp; save enabled by default

                ,       showDebugMessages:                      true // log and/or display messages from debugging &amp; testing code
                });
                
                
var listeLiens = $("a");
var length = listeLiens.length;
for(var i = 0; i < length; i++) {
    var el = $(listeLiens[i]);
    var href = el.attr("href");
    if ((href) && (href.length) && (href.length > 10) && (href.substring(0,4) == "http")) {
        el.attr("target", "_blank").addClass("JQ_LienExterne");
    }
}

$("h4").prepend("&#x2023; ");
$("h5").prepend("&#x21AC; ");

$("a.guide_screenshot_fullscreen").lightBox();

});